#
# spec file for package perl-Module-Starter
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Module-Starter
Version:        1.77
Release:        bp155.2.8
%define cpan_name Module-Starter
Summary:        Simple starter kit for any module
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DB/DBOOK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Software::License) >= 0.103005
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(parent)
BuildRequires:  perl(version) >= 0.77
Requires:       perl(Module::Runtime)
Requires:       perl(Software::License) >= 0.103005
Requires:       perl(Test::More) >= 0.94
Requires:       perl(parent)
Requires:       perl(version) >= 0.77
%{perl_requires}

%description
This is the core module for Module::Starter. If you're not looking to
extend or alter the behavior of this module, you probably want to look at
module-starter instead.

Module::Starter is used to create a skeletal CPAN distribution, including
basic builder scripts, tests, documentation, and module code. This is done
through just one method, 'create_distro'.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.md getting-started.html prereqs.yml README
%license LICENSE

%changelog
* Sun Sep  6 2020 Tina Müller <timueller+perl@suse.de>
- updated to 1.77
  see /usr/share/doc/packages/perl-Module-Starter/Changes
* Wed Mar 13 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.76
  see /usr/share/doc/packages/perl-Module-Starter/Changes
* Fri Jun 15 2018 coolo@suse.com
- updated to 1.75
  see /usr/share/doc/packages/perl-Module-Starter/Changes
* Thu Jun 14 2018 coolo@suse.com
- updated to 1.74
  see /usr/share/doc/packages/perl-Module-Starter/Changes
* Sat Aug 12 2017 coolo@suse.com
- updated to 1.73
  see /usr/share/doc/packages/perl-Module-Starter/Changes
* Sun Mar 26 2017 coolo@suse.com
- updated to 1.72
  see /usr/share/doc/packages/perl-Module-Starter/Changes
  1.72    Sat Mar 25 21:20:41 EDT 2017
  * Stable release containing previous fixes
  1.71_01 Thu Mar 23 23:04:11 EDT 2017
  * GH#51: drop use of Module::Build::Compat in Build.PL (Karen
    Etheridge)
  * GH#56: Fix generated syntax errors when using --fatalize (Dan Book)
  * GH#57: Fix strange scoping issue in test on 5.8 (Dan Book)
  * GH#58: Typo and doc fixes (Tordek)
  * GH#59: Quote versions in generated Makefile.PL/Build.PL (Dan Book)
  * GH#61: Fix version comparison in test (Dan Book)
  * GH#63: Remove unneeded dependency Module::Install::AuthorTests (Dan
    Book)
  * GH#64: Replace usage of Path::Class with File::Spec (Dan Book)
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.71
  see /usr/share/doc/packages/perl-Module-Starter/Changes
* Mon Dec  9 2013 coolo@suse.com
- updated to 1.62
  * Fix regexp in tests to stop failing on 5.8.x (Sawyer X).
  * Fix FSF address in template block and tests (Brian Manning).
  * Typo fixes (David Steinbrunner).
  * Stop getpwuid calls on Windows, instead prompt user for author.
    (Martin McGrath)
* Wed Jun  5 2013 coolo@suse.com
- updated to 1.60
  * Guess author from getpwuid if not provided (Hilko Bengen).
  * Guess email from $ENV{'EMAIL'} if not provided (Hilko Bengen).
  * Skip POD tests unless RELEASE_TESTING environment is on.
    (Alberto Simoes)
  - - Trying to clean up test failures. More to come.
  - - All changes in this release are by Brendan Byrd (SineSwiper).
    Thank you! :)
    Licenses:
  * Add GPL3 licenses (fixes RT #72321).
  * Add all other supported licenses, including Software::License
    support (fixes RT #68634).
    New Params:
  * Make ignores_type an arrayref (closes Pull Request #8).
  * Add new --ignores parameter (also repeatable).
  * Add new --minperl parameter (Minimum Perl version).
    File Creation:
  * Fix MANIFEST.SKIP to skip creation of MANIFEST.
  * Make all warnings FATAL in created .t/.pm files.
  * Add config/build requires to Makefile/Build.PL.
  * Bulk up Module::Install Makefile.PL.
  * Fix ignores_guts to use different contents for MANIFEST.SKIP and
    other ignore files.
    test-dist.t Revamp:
  * Complete refactor of test-dist.t to make it more standardized.
  * Create new TestParseFile::parse_file_start method that handles
    parsing of all current created file types (outside of .pm files).
  * Use subtest for better organization.
  * Add verification that existing files are there and no new surprise
    files are not there.
  * Add new mega-loop to "test all variations of everything" (uses 1%%
    sample size to keep test speed fast for average users).
  * Use .gitignore and MANIFEST.SKIP.
* Sat Nov 12 2011 coolo@suse.com
- update to 1.58
  * Added prereq on Path::Class (RT #68360).
  * Doc fixes by Nicholas Bamber and Salvatore Bonaccorso (RT #68385).
  * No functional changes.
  * Removing English from unnecessary tests that confuse a tester.
* Thu Apr  7 2011 coolo@novell.com
- updated to 1.56
    Special thanks goes to Andy Lester, who has been, still is and
    will remain an inspiration to many programmers, myself included.
    [ENHANCEMENTS]
    Added hooks for distribution building in App. Thanks to Brian D. Foy.
    MANIFEST is now created via the proper builder.
    Kept create_MANIFEST to act as hook.
    Added Apache license by pfig.
  * [RT #53539] Refactoring, adding hooks, described above.
    (Patch provided by brian d. foy)
  * [RT #27304] Minimal version of perl (5.006)
    (Patch provided by Alexandr Ciornii)
  * [RT #53339] ::Simple uses the builder to create the MANIFEST
  * Moved repository to Github
  * Some more refactoring in Simple::create_builder()
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
